Update picture for room
Updates the photo for a room. The image file size limit is approximately 40 MB, and you can use the following image formats:
- jpg/jpeg
- png
- tiff
- gif
In the request body of this endpoint, you can specify the image as:
- a JSON object
- multipart form data
- stream data
To upload an image as a JSON object, use an object with two string properties:
fileName: the name of the filebase64Contents: the base64 representation of the image. For example a cURL request might look like this:
Using multipart form data removes the need to encode images in base64 format. See Multipart form requests in Formatting API requests for details and an example.
To use other other streamed binary content types,
use the Content-Disposition request header.
Authentication
Authorizationstring
JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”
Path parameters
roomId
The ID of the room.
accountId
The globally unique identifier (GUID) for the account.
Request
This endpoint expects a multipart form containing an optional file.
file
File to be uploaded
Response
Picture successfully updated.
url
The URL for the uploaded picture.
Errors
400
Bad Request Error
401
Unauthorized Error